package tech.riemann.ims.service.acl;

import java.util.List;

import org.nutz.spring.boot.service.interfaces.IdNameEntityService;

import com.baomidou.mybatisplus.extension.service.IService;

import club.zhcs.lina.utils.tree.Tree;
import tech.riemann.ims.entity.acl.Permission;

/**
 * <p>
 * 权限 服务类
 * </p>
 *
 * @author Kerbores(kerbores@gmail.com)
 *
 * @since 2024-09-10 18:07:15
 */
public interface IPermissionService extends IService<Permission>, IdNameEntityService<Permission> {

    /**
     * @param force
     * @return
     */
    List<Tree<String>> permissionTree(Boolean force);

    /**
     * @param force
     * @return
     */
    List<Permission> permissions(Boolean force);

    /**
     * @param permissions
     */
    void batchAddPermissions(List<Permission> permissions);

    /**
     * @param permissions
     */
    void updatePermissions(List<Permission> permissions);

}
